#ifndef kreslimit_model_h_
#define kreslimit_model_h_

#include <QAbstractTableModel>

class KReslimitTableModel : public QAbstractTableModel
{
    Q_OBJECT

    public:
        KReslimitTableModel(QObject *parent = nullptr);
        int rowCount(const QModelIndex &parent) const override;
        int columnCount(const QModelIndex &parent) const override;
        QVariant data(const QModelIndex &index, int role) const override;
        QVariant headerData(int section, Qt::Orientation orientation,
                         int role = Qt::DisplayRole) const override;
        void refresh();
        static const int NAME_COLUMN;
        static const int SIZE_COLUMN;
        QStringList applist;
};

#endif